﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Question1.aspx.cs" Inherits="Survey.Question1" %>
<%@ Register assembly="Navigation" namespace="Navigation" tagprefix="nav" %>
<!DOCTYPE html>
<html>
<head id="head" runat="server">
    <title></title>
</head>
<body>
    <form id="form" runat="server">
		<h1>Question 1</h1>
		<h2>Which ASP.NET technology are you currently using?</h2>
		<asp:FormView ID="Question" runat="server" DataSourceID="QuestionDataSource" DefaultMode="Edit">
			<EditItemTemplate>
				<asp:RadioButtonList ID="Answer" runat="server" SelectedValue='<%# Bind("Answer") %>'>
					<asp:ListItem Text="Web Forms" />
					<asp:ListItem Text="MVC" />
				</asp:RadioButtonList>
				<asp:Button ID="Next" runat="server" Text="Next" CommandName="Update" />
			</EditItemTemplate>
		</asp:FormView>
		<asp:ObjectDataSource ID="QuestionDataSource" runat="server" SelectMethod="GetQuestion1" UpdateMethod="UpdateQuestion1" TypeName="Survey.SurveyController" DataObjectTypeName="Survey.Question" >
			<SelectParameters>
				<nav:NavigationDataParameter Name="answer" />
			</SelectParameters>
		</asp:ObjectDataSource>
   </form>
</body>
</html>
