﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Question2.aspx.cs" Inherits="Survey.Question2" %>
<%@ Register assembly="Navigation" namespace="Navigation" tagprefix="nav" %>
<!DOCTYPE html>
<html>
<head id="head" runat="server">
    <title></title>
</head>
<body>
    <form id="form" runat="server">
		<h1>Question 2</h1>
		<asp:ListView ID="Crumbs" runat="server" DataSourceID="CrumbTrailDataSource">
			<LayoutTemplate>
				<asp:PlaceHolder ID="itemPlaceholder" runat="server" />
			</LayoutTemplate>
			<ItemTemplate>
				<asp:HyperLink ID="Question1" runat="server" NavigateUrl='<%# Eval("NavigationLink") %>' Text='<%# Eval("Title") %>'/>
			</ItemTemplate>
		</asp:ListView>
		<nav:CrumbTrailDataSource ID="CrumbTrailDataSource" runat="server" />
		<h2>Are you using the Navigation for ASP.NET Web Forms framework?</h2>
		<asp:FormView ID="Question" runat="server" DataSourceID="QuestionDataSource" DefaultMode="Edit">
			<EditItemTemplate>
				<asp:RadioButtonList ID="Answer" runat="server" SelectedValue='<%# Bind("Answer") %>'>
					<asp:ListItem Text="Yes" />
					<asp:ListItem Text="No" />
				</asp:RadioButtonList>
				<asp:Button ID="Next" runat="server" Text="Next" CommandName="Update" />
			</EditItemTemplate>
		</asp:FormView>
		<asp:ObjectDataSource ID="QuestionDataSource" runat="server" SelectMethod="GetQuestion2" UpdateMethod="UpdateQuestion2" TypeName="Survey.SurveyController" DataObjectTypeName="Survey.Question" >
			<SelectParameters>
				<nav:NavigationDataParameter Name="answer" />
			</SelectParameters>
		</asp:ObjectDataSource>
   </form>
</body>
</html>
