﻿using Navigation;

namespace Survey
{
	public class SurveyController
	{
		public Question GetQuestion1(string answer)
		{
			return new Question() { Answer = answer ?? "Web Forms" };
		}

		public void UpdateQuestion1(Question question)
		{
			StateContext.Data["answer"] = question.Answer;
			NavigationData data = new NavigationData();
			data["technology"] = question.Answer;
			if (question.Answer != "MVC")
			{
				StateController.Navigate("Next", data);
			}
			else
			{
				StateController.Navigate("Next_MVC", data);
			}
		}

		public Question GetQuestion2(string answer)
		{
			return new Question() { Answer = answer ?? "Yes" };
		}

		public void UpdateQuestion2(Question question)
		{
			StateContext.Data["answer"] = question.Answer;
			NavigationData data = new NavigationData(true);
			data["navigation"] = question.Answer == "Yes" ? true : false;
			StateController.Navigate("Next", data);
		}

		public Summary GetSummary(string technology, bool? navigation)
		{
			Summary summary = new Summary();
			summary.Text = technology;
			if (navigation.HasValue)
			{
				summary.Text += ", " + navigation.Value;
			}
			return summary;
		}
	}
}