﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Thanks.aspx.cs" Inherits="Survey.Thanks" %>
<%@ Register assembly="Navigation" namespace="Navigation" tagprefix="nav" %>
<!DOCTYPE html>
<html>
<head id="head" runat="server">
    <title></title>
</head>
<body>
    <form id="form" runat="server">
		<h1>Thanks</h1>
		<asp:ListView ID="Crumbs" runat="server" DataSourceID="CrumbTrailDataSource">
			<LayoutTemplate>
				<asp:PlaceHolder ID="itemPlaceholder" runat="server" />
			</LayoutTemplate>
			<ItemTemplate>
				<asp:HyperLink ID="Question1" runat="server" NavigateUrl='<%# Eval("NavigationLink") %>' Text='<%# Eval("Title") %>'/>
			</ItemTemplate>
		</asp:ListView>
		<nav:CrumbTrailDataSource ID="CrumbTrailDataSource" runat="server" />
		<h2>Answers</h2>
		<asp:FormView ID="Summary" runat="server" DataSourceID="SummaryDataSource">
			<ItemTemplate>
				<asp:Label ID="Details" runat="server" Text='<%# Eval("Text") %>' />
			</ItemTemplate>
		</asp:FormView>
		<asp:ObjectDataSource ID="SummaryDataSource" runat="server" SelectMethod="GetSummary" TypeName="Survey.SurveyController" >
			<SelectParameters>
				<nav:NavigationDataParameter Name="technology" />
				<nav:NavigationDataParameter Name="navigation" />
			</SelectParameters>
		</asp:ObjectDataSource>
   </form>
</body>
</html>
